> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses taxes



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/taxes/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/taxes/{id}:
    put:
      tags:
        - Taxes
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxesTaxUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/TaxesTaxUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TaxesTaxUpdateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TaxesSBTaxResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TaxesSBTaxResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TaxesSBTaxResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    TaxesTaxUpdateRequest:
      type: object
      properties:
        isActive:
          type: boolean
          nullable: true
        country:
          type: string
          nullable: true
        localizedDescription:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        localizedName:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        description:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        taxType:
          $ref: '#/components/schemas/ModelsTaxesSBTaxType'
        state:
          type: string
          nullable: true
        jurisdiction:
          type: string
          nullable: true
      additionalProperties: false
    TaxesSBTaxResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        isActive:
          type: boolean
          nullable: true
        country:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        taxType:
          $ref: '#/components/schemas/ModelsTaxesSBTaxType'
        percentage:
          type: number
          format: double
        state:
          type: string
          nullable: true
        inclusive:
          type: boolean
          nullable: true
        taxIdentificationNumber:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsTaxesSBTaxType:
      enum:
        - GST
        - HST
        - JCT
        - PST
        - QST
        - RST
        - SALES_TAX
        - VAT
        - EXEMPT
      type: string

````